/*! Copyright © 2010 Apple Inc.  All rights reserved. */

body, #contents, #adcHeader {
    min-width: 550px;
    font: normal normal normal 100%/normal 'Lucida Grande', Geneva, Helvetica, Arial, sans-serif;
    font-size: 13px;
    margin-left: 0px;
    margin-top: 0px;
}

a {
    color: black;
    text-decoration: none;
}

a:hover {
    color: black;
    text-decoration: none;
}

#adcHeader {
    position: absolute;
    top: 0px;
    right: 0px;
    left: 0px;
    height: 36px;
    -webkit-transition-propterty: top;
    -webkit-transition-duration: 0.05s;
}

.no-adc #adcHeader {
    top: -36px;
}

#adcHeader #ssi_Header {
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat 0px -111px;
    height: 36px;
}

#adcHeader #ssi_LibraryTitle {
    height: 36px;
    display: block;
    float: left;
    margin-left: -5px;
    color: rgb(45,56,72);
    color: rgba(0, 0, 0, 0);
}

#ssi_Header #ssi_LibraryTitle { /* We default to Mac headers if nothing else matches */
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat 0px -37px;
    width: 277px;
}

#ssi_Header.ios #ssi_LibraryTitle, #ssi_Header.phone #ssi_LibraryTitle {
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat 0px 0px;
    width: 215px;
}

#ssi_Header.safari #ssi_LibraryTitle {
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat 0px -74px;
    width: 250px;
}

#ssi_Header.tools #ssi_LibraryTitle {
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -290px -148px;
    width: 215px;
}

#ssi_Header.iad #ssi_LibraryTitle, #ssi_Header.iadjs #ssi_LibraryTitle {
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat 0px -148px;
    width: 210px;
}

#ssi_Header #ssi_PreRelease {
    color: rgb(45,56,72);
    color: rgba(0, 0, 0, 0);
    height: 36px;
    display: none;
    float: left;
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -215px 0px;
    width: 103px;
}

#ssi_Header.prerelease #ssi_PreRelease {
    display: block;
}

#ssi_Header #ssi_Legacy {
    color: rgb(45,56,72);
    color: rgba(0, 0, 0, 0);
    height: 36px;
    display: none;
    float: left;
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -276px -185px;
    width: 85px;
}

#ssi_Header.legacy #ssi_Legacy {
    display: block;
}

#adcHeader #ssi_AppleDeveloperConnection {
    color: rgb(45,56,72);
    color: rgba(0, 0, 0, 0);
    height: 36px;
    display: block;
    position: absolute;
    right: 61px;
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -440px 0px;
    width: 100px;
    top: 0px;
}

#adcHeader #ssi_SearchButton {
    color: rgba(0, 0, 0, 0);
    height:36px;
    width: 61px;
    position: absolute;
    right: 0px;
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -539px 0px;
    overflow: hidden;
}

#adcHeader #ssi_SearchButton.active {
    color: rgb(45,56,72);
    color: rgba(0, 0, 0, 0);
    height:36px;
    width: 61px;
    position: absolute;
    right: 0px;
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -539px -37px;
}


#adcHeader #ssi_SearchMenu {
    visibility: hidden;
    opacity: 0;
    background: transparent url("../Images/ref_lib_header_sprite.png") repeat -292px -37px;
    color: rgba(255, 255, 255, 1);
    height: 45px;
    width: 220px;
    position: absolute;
    top: 35px;
    right: 0px;
    z-index: 100000;
    -webkit-box-shadow: rgba(0, 0, 0, .25) -4px 4px 4px;
    padding: 14px;
    text-align: center;
    -webkit-animation: opacity 0.5sec ease;
}

#adcHeader #ssi_SearchMenu label {
    font-size: 80%;
}

#adcHeader #ssi_SearchMenu #ssi_SearchField {
    margin-top: 1em;
    width: 220px;
}

#adcHeader #ssi_SearchMenu.open {
    visibility: visible;
    opacity: 1;
}


footer {
    min-width: 578px;
    background-image: url("../Images/header_toc/breadcrumb_background.png");
    bottom: 0px;
    font-size: 10px;
    height: 15px;
    left: 0px;
    right: 0px;
    padding: 3px 10px 0px 10px;
    position: fixed;
    z-index:901;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    border-top: 1px solid #2B334F;
    -webkit-transition-property: bottom;
    -webkit-transition-duration: 0.05s;
}

.no-breadcrumbs footer{
    bottom: -20px;
}

footer a{
    color: black;
    text-decoration: none;
}

footer a:hover{
    color: black;
    text-decoration: underline;
}

.breadcrumb-seperator {
    display: inline-block;
    width: 9px;
    height: 8px;
    background: transparent url('../Images/book_ui_sprites.png') -62px 0px no-repeat;
}

header {
    min-width: 598px;
    position: absolute;
    z-index: 900;
    top: 35px;
    left: 0px;
    right: 0px;
    height: 45px;
    -webkit-transition-property: top;
    -webkit-transition-duration: 0.05s;
}

.no-adc header {
    top: 0px;
}

header #title {
    height: 25px;
    background: rgb(138, 152, 169) url("../Images/header_toc/title_background.png") repeat-x;
    border-bottom: 1px solid #B6B6B6;
    overflow: hidden;
    -webkit-transition-property: height;
    -webkit-transition-duration: .25s;
}

.no-title header #title {
    height: 0px;
}

/* <rdar://problem/7716874> Firefox: Titles are blue links, should be black */
/* For some reason FireFox layers the <a> to every elemnent inside...
    oh yeah, it does not support true HTML5 in this matter */
#titleLink a {
    color: black;
}

#titleLink:hover, #titleLink a:hover {
    text-decoration: none;
}

header a {
    text-decoration: none;
    color: black;
}

header h1 {
    margin: 0px;
    padding: 3px 0px 2px 0px;
    font-weight: normal;
    text-align: center;
    text-shadow: rgb(213, 213, 213) 0px 1px 0px;
    white-space: nowrap;
    font-size: 115%;
}

#file_links {
    float: right;
    position: relative;
    top: -22px;
    width: 200px;
}

#PDF_link, #Companion_link{
    margin: 0px 3px 4px 0px;
    height: 20px;
    color: black;
    padding: 0px 5px 2px 5px;
    float: right;
    -webkit-border-radius: 9px;
    -moz-border-radius: 9px;
    text-decoration: none;
    display: none;
}

#pdf_icon, #companion_icon {
    display: inline-block;
    height: 18px;
    width: 16px;
    position: relative;
    top: 3px;
    margin-right: 3px;
}

#pdf_icon {
    background: transparent url('../Images/book_ui_sprites.png') 0px 0px no-repeat;
}

#companion_icon {
    background: transparent url('../Images/book_ui_sprites.png') -15px 0px no-repeat;
}

#Sample_link {
    margin: 0px 3px 4px 0px;
    height: 20px;
}

#PDF_link.visible, #Companion_link.visible {
    display: block;
}

#PDF_link img, #Companion_link img{
    vertical-align: bottom;
    margin: 4px 2px 0px 2px;
    border: none;
}

#PDF_link:hover, #Companion_link:hover{
    background: url("../Images/header_toc/pdf_companion_hover.png");
}

#PDF_link:active, #Companion_link:active{
    background: url("../Images/header_toc/pdf_companion_active.png");
}

#headerButtons {
    position: relative;
    list-style: none outside;
    top: -1px;
    left: 0px;
    right: 0px;
    margin: 0px;
    padding: 0px;
    border-top: 1px solid #2B334F;
    border-bottom: 1px solid #EDEDED;
    height: 28px;
    font-size: 8pt;
    overflow: hidden;
    background-color: #D8D8D8;
    background-image: url("../Images/header_toc/button_bar_background.png");
}

#headerButtons li {
    display: inline;
    background-repeat: no-repeat;
    padding: 0px;
    margin-top: 0px;
}

#page_buttons button {
    height: 19px;
    width: 25px;
    border: none;
    margin-top: 5px;
    background: none;
}

#page_buttons button:disabled {
    opacity: 0.5;
}

#headerButtons select{
    height: 22px;
    margin: 5px 2px 0px 10px;
    max-width: 300px;
}

#toc_button button {
    text-align: left;
    padding-left: 30px;
    width: 230px;
    height: 28px;
    margin: 0px;
    border: none;
    border-right: 1px solid #ACACAC;
}

.disclosure, .nodisclosure {
    display: inline-block;
    height: 8px;
    width: 9px;
    margin-right: 5px;
    position: relative;
}

.disclosure {
    background: transparent url('../Images/book_ui_sprites.png') -62px 0px no-repeat;
}

.open > .disclosure {
    background: transparent url('../Images/book_ui_sprites.png') -62px -9px no-repeat;
}

li#jumpto_button {
    position: absolute;
    left: 230px;
    margin-left: 0em;
}

li#page_buttons {
    position: absolute;
    right: 0px;
}

#main-content{
    bottom: 19px;
    left: 0px;
    position: absolute;
    right: 0px;
    top: 90px;
    -webkit-transition-property: height, top, bottom;
    -webkit-transition-duration: 0.25s;
}

.no-title #main-content{
    top: 65px;
}


.no-header-buttons #main-content {
    top: 61px;
}

.no-adc #main-content{
    top: 56px;
}

.no-adc .no-title #main-content{
    top: 30px;
}

.no-header-buttons .no-adc #main-content {
    top: 26px;
}

.no-header-buttons .no-adc .no-title #main-content {
    top: 0px;
}

.no-breadcrumbs #main-content {
    bottom: 0px;
}

#tocContainer {
    display: block;
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: -229px;
    width: 229px;
    overflow: hidden;
    border-top: 1px solid #2B334F;
    background-color: #E4EBF7;
    -webkit-user-select: none;
    -moz-user-select: none;
    -webkit-transition-property: height, top, bottom, left;
    -webkit-transition-duration: 0.05s;
}

.is-showing-toc #tocContainer {
    left: 0;
    border-right: 1px solid #ACACAC;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 0px 0px 0px 0px;
}

#tocContainer li ul li {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    margin-top: 0.583em;
}

#tocContainer li ul li span.sectionName {
    white-space: normal;
}


#tocContainer > ul#toc {
    width: 209px;
    margin: 0px 0px 0px 0px;
    padding: 12px 0px 18px 0px;
    font-size: 11px;
    -webkit-user-select: none;
    -moz-user-select: none;
}

#tocContainer > ul#toc .currentLocation {
    text-decoration: underline;
}

#tocContainer > ul#toc > li {
    padding: 0px 0px 7px 30px;
    margin-top: 0px;
    text-indent: -15px
}

#tocContainer > ul#toc li.children > ul {
    height: 0px;
    display: none;
}

#tocContainer > ul#toc li.children.open > ul {
    height: auto;
    display: block;
    margin-left: -15px;
}

#tocContainer > ul#toc > li > .sectionName a {
    font-weight: bold;
    color: rgb(0, 0, 0);
}

#tocContainer > ul#toc > li ul {
    list-style: none;
    padding-right: 0px;
    margin-right: 0px;
}

#tocContainer > ul#toc > li > ul a {
    color: rgb(79, 79, 79);
}

#tocContainer > ul#toc > li > ul > li > .sectionName a {
    font-weight: bold;
}

#tocContainer > ul#toc > li > ul, ul#toc > li > ul > li{
    padding-left: 15px;
    margin-left: 0px;
}

#tocContainer > ul#toc > li > ul {
    padding: 0px;
    margin: 0px;
}

#tocContainer > ul#toc > li.children.open ul ul {
    padding: 2px 0px 2px 9px;
    margin: 0px;
}

#tocContainer .related ul {
    margin: 0.5em 0px 0px 2.5em;
    padding: 0px 0px 1em 0.5em;
}

#tocContainer .related {
    color: #4F4F4F;
    border-top: 1px solid #4F4F4F;
    list-style: none;
    margin-left: 0px;
    margin-right: -20px;
    padding-left: 10px;
    padding-bottom: 1em;
}

#tocContainer .related ul {
    list-style: none;
    margin-left: 5px;
}

#tocContainer .related li{
    font-weight: bold;
    margin-left: 20px;
    margin-top: 0.583em;
    text-indent: -15px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#tocContainer .related .sectionName a {
    color: black;
}

#tocContainer .related h3, #tocContainer .related h4{
	font-weight: bold;
	color: rgb(79,79,79);
	margin: 10px 0 5px 0;
}
#tocContainer .related h3{
	font-size: 11px;
}
#tocContainer .related h4{
	font-size: 9px;
}

#tocContainer.sectionName {
    overflow: hidden;
    text-overflow: ellipsis;
}

/* <rdar://problem/7849311> Focus rings in some parts of the new DevPubs design are really distracting and annoying */
#tocContainer:focus, #contents:focus, iframe:focus {
    outline: none;
}

#contents {
    border-top: 1px solid #2B334F;
    position: absolute;
    top: 0px;
    bottom: 0px;
    overflow:hidden;
    left: 0px;
    right: 0px;
    z-index: 1;
    padding: 0px;
    background-color: white;
    -webkit-transition-property: width, height, left, top, bottom;
    -webkit-transition-duration: 0.05s, 0.25s, 0.05s, 0.25s, 0.05s;
}

#contents-frame {
    position: absolute;
    width: 100%;
    height: 100%;
    border: none;
    margin: 0px;
}

.is-showing-toc #contents {
    left: 230px;
    min-width: 320px;
}

#contents .centeredContent{
    margin-left: auto;
    margin-right: auto;
    width: 680px;
}


.search-wrapper .left { display: block; position: absolute; right: 214px; top: 14px; width: 20px; height: 19px; background: url(http://images.apple.com/global/elements/prettysearch/searchfield_leftcap.png) left top no-repeat; }
.search-wrapper .right { display: block; position: absolute; right: 33px; top: 14px; width: 10px; height: 19px; background: url(http://images.apple.com/global/elements/prettysearch/searchfield_rightcap.png) right top no-repeat; }
.search-wrapper .reset { background:transparent url(http://images.apple.com/global/elements/prettysearch/close.gif) repeat scroll 0 0;cursor:pointer;display:block;height:11px;overflow:hidden;position:absolute;right:37px;top:19px;width:11px;z-index:1;}


/* Devpedia QuickLook window syles */

#QuickLookWindow {
    z-index: 9100;
    position: fixed;
    left: 0px;
    width: 0px;
    margin-left: -370px;
    top: -100px;
    height: 0px;
    -webkit-border-radius: 0.583em;
    -moz-border-radius: 0.583em;
    -webkit-box-shadow: rgba(0, 0, 0, .5) 0em 0.667em 1.667em;
    -moz-box-shadow: black 0 0 0.417em;
    background-color: white;
    -webkit-transition-property: height;
    -webkit-transition-duration: 0.5s;
}

#QuickLookWindow.visible {
    top: 5%;
    height: 90%;
    left: 50%;
    width: 815px;
}

#QuickLookCloseBox {
    height: 30px; /* this is the actual height/width of a UI element, do no change to EM units or it will break */
    width: 30px;
    background: transparent url('../Images/book_ui_sprites.png') 0px -20px;
    z-index: 0;
    position: fixed;
    left: 50%;
    top: 5%;
    margin-left: -385px;
    margin-top: -13px;
    opacity: 0;
    -webkit-transition-property: opacity, z-index;
    -webkit-transition-duration: 0.5s;
}

#QuickLookCloseBox.visible {
    z-index: 9150;
    opacity: 1;
}

#QuickLookBody {
    overflow: hidden;
    position: absolute;
    top: 0.583em;
    bottom: 0.583em;
    right: 0.583em;
    left: 0.583em;
    padding: 0.25em 0.25em 0.25em 0.2em;
}

#QuickLookBody #QuickLookArticle {
    width: 61.25em;
    height: 100%;
    overflow: auto;
    border: none;
}

#QuickLookGreyout {
    position: fixed;
    top: -0.833em;
    opacity: 0;
    height: 0em;
    width: 0em;
    background-color: black;
    z-index: 9000;
    -webkit-transition-property: opacity, height, top;
    -webkit-transition-duration: 0.5s;
}

#QuickLookGreyout.visible {
    opacity: .75;
    top: 0em;
    left: 0em;
    height: 100%;
    width: 100%;
}

.Xcode .is-showing-toc #contents {
    left: -0px;
}

.Xcode #contents {
    border: none;
}

.Xcode header, .Xcode #tocContainer, .Xcode footer {
    display: none;
}

.Xcode #main-content {
    top: 0px;
    bottom: 0px;
}